=== debian/changelog ===
thriftydrinker (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Matt Trower <trowerm@gmail.com>  Fri, 29 Jan 2010 17:38:31 -0600
