=== debian/control ===
Source: thriftydrinker
Section: user/games
Priority: extra
Maintainer: Matt Trower <trowerm@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: thriftydrinker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Calculates equivalent alcohol amounts.
