=== debian/changelog ===
thriftydrinker (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Matt Trower <trowerm@gmail.com>  Sun,  7 Feb 2010 13:59:44 -0600
