=== debian/control ===
Source: thriftydrinker
Section: unknown
Priority: extra
Maintainer: Matt Trower <trowerm@gmail.com>
Build-Depends: debhelper (>= 5),libqt4-maemo5-dev,libqt4-dev
Standards-Version: 3.7.2

Package: thriftydrinker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
