## thriftydrinker 0.1.3-1

=== src/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = thriftydrinker
-DESTDIR       = 
+DESTDIR       = /opt 
 TARGET        = thriftydrinker
 
 first: all
