=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Matt Trower <trowerm@gmail.com>
-Build-Depends: debhelper (>= 5),libqt4-maemo5-dev,libqt4-dev
+Build-Depends: debhelper (>= 5),libqt4-dev
 Standards-Version: 3.7.2
 
 Package: thriftydrinker
