=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
-APPNAME := Thrifty_Drinker
+APPNAME := thriftydrinker
 builddir:
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
 
@@ -13,6 +13,7 @@
 	# Add here commands to compile the package.
 	cd builddir && $(MAKE)
 	touch $@
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -27,7 +28,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/your_appname
-	cd builddir && $(MAKE) INSTALL_ROOT=/opt/$(APPNAME) install
+	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
