## thriftydrinker 1.2.0-1

=== debian/changelog ===
thriftydrinker (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * Fixed UI layout
 -- unknown <mtrower2@illinois.edu>  Sat, 13 Feb 2010 23:01:52 -0600
