=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: thriftydrinker
 Section: unknown
 Priority: extra
-Maintainer: Matt Trower <trowerm@gmail.com>
-Build-Depends: debhelper (>= 5),libqt4-dev
+Maintainer: unknown <mtrower2@illinois.edu>
+Build-Depends: debhelper (>= 5),libqt4-maemo5-dev
 Standards-Version: 3.7.2
 
 Package: thriftydrinker
