## thriftydrinker 1.4.0-1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: thriftydrinker
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 13 23:31:21 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Jul 17 16:44:10 2010
 # Project:  thriftydrinker.pro
 # Template: app
 # Command: /opt/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake -spec /opt/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile thriftydrinker.pro
