=== debian/changelog ===
thriftydrinker (1.4.0-1) unstable; urgency=low

  * Fixed UI layout
 -- unknown <mtrower2@illinois.edu>  Sat, 13 Feb 2010 23:01:52 -0600
