## thriftydrinker 1.5.0-1

=== debian/changelog ===
thriftydrinker (1.5.0-1) unstable; urgency=low

  * Added some new drink sizes.  Prob final version.
 -- unknown <mtrower2@illinois.edu>  Sat, 13 Feb 2010 23:01:52 -0600
