## thriftydrinker 2.0.0

=== debian/changelog ===
thriftydrinker (2.0.0) unstable; urgency=low

  * Initial Release.

 -- Matt <mtrower2@unknown>  Mon, 06 Jun 2011 20:32:04 -0500
